Deployments.ai Docs
Security

Get identity

GET /v1/whoami · SDK getIdentity · CLI deployments auth login, deployments whoami

GET
/v1/whoami

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Response Body

IdentityResponse

application/json
  1. response
authentication*string
Value in"api-credential""tenant-jwt"
capabilities*array<>
environmentId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
environmentIds*array<>
id*string
organizationId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationIds*array<>
organizationRole?string
Value in"admin""billing""member""owner""viewer"
platformRole?"administrator"
Value in"administrator"
projectId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectIds*array<>
workspaceId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
curl -X GET "https://example.com/v1/whoami"
{  "authentication": "api-credential",  "capabilities": [    "string"  ],  "environmentId": "string",  "environmentIds": [    "string"  ],  "id": "string",  "organizationId": "string",  "organizationIds": [    "string"  ],  "organizationRole": "admin",  "platformRole": "administrator",  "projectId": "string",  "projectIds": [    "string"  ],  "workspaceId": "string"}